Type TResManager
	Const IMG_TERRAIN:Int=0;
	Const IMG_HOUSES:Int=1;
	Const IMG_OBJ1:Int=2;
	Const IMG_FRUITS:Int=3;
	Const IMG_WORKER:Int=4;
	Const IMG_BUTTONS:Int=5;
	Const IMG_UI_BG:Int=6;
	Const IMG_UI_BG2:Int=7;
	Const IMG_UI_BG3:Int=8;
	Const IMG_BUTTONS2:Int=9;
	Const IMG_BUTTONS3:Int=10;

	Global img:TImage[]=New TImage[11];
	Global font1:Timagefont;
	Function loadGraphics(path:String="")
			font1=LoadImageFont(path+"font/sylfaen.ttf", 16);
			SetImageFont(font1);
			SetMaskColor(255, 0, 255);
			img[IMG_TERRAIN]=LoadAnimImage(path+"gfx/terrain.png", 32, 32, 0, 48);
			SetImageHandle(img[IMG_TERRAIN], 16, 16);
			img[IMG_OBJ1]=LoadAnimImage(path+"gfx/objects2.png", 32, 32, 0, 32);
			SetImageHandle(img[IMG_OBJ1], 16, 24);
			img[IMG_FRUITS]=LoadAnimImage(path+"gfx/fruits.png", 32, 32, 0, 16);
			img[IMG_WORKER]=LoadAnimImage(path+"gfx/people.png", 16, 16, 0, 64);
			SetImageHandle(img[IMG_WORKER], 9, 13);
			img[IMG_BUTTONS]=LoadAnimImage(path+"gfx/buttons.png", 32, 32, 0, 16);
			img[IMG_UI_BG]=LoadImage(path+"gfx/ui_background.png");
			img[IMG_UI_BG2]=LoadImage(path+"gfx/ui_background2.png");
			img[IMG_UI_BG3]=LoadImage(path+"gfx/ui_background3.png");
			img[IMG_BUTTONS2]=LoadAnimImage(path+"gfx/buttons2.png", 16, 16, 0, 8);
			img[IMG_BUTTONS3]=LoadImage(path+"gfx/buttons3.png");
	End Function
End Type
