Type Point
	Field x:Double, y:Double;
	'Field length:Double;
	Method init:Point(x:Double=0, y:Double=0)
		Self.x=x;
		Self.y=y;
		Return Self;
	End Method
	Method length:Double()
		Return Sqr(x*x+y*y);
	End Method
	Method add:Point(p2:Point)
		Local p:Point=New Point
		p.x=x+p2.x;
		p.y=y+p2.y;
		Return p;
	End Method
	Method subtract:Point(p2:Point)
		Local p:Point=New Point
		p.x=x-p2.x;
		p.y=y-p2.y;
		Return p;	
	End Method
	Method normalize()
		If(length()>0)
			x:/length();
			y:/length();
		EndIf
	End Method
	Method copy:Point()
		Return (New Point.init(Self.x, Self.y));
	End Method
	Function distance:Double(p1:Point, p2:Point)
		Return Sqr((p1.x-p2.x)*(p1.x-p2.x)+(p1.y-p2.y)*(p1.y-p2.y));
	End Function
End Type
